Bug 632702 - fedpkg bash completion broken
Summary: fedpkg bash completion broken
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-packager
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-10 18:55 UTC by Till Maas
Modified: 2013-01-10 06:12 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-12-20 18:13:33 UTC


Attachments (Terms of Use)

Description Till Maas 2010-09-10 18:55:32 UTC
Description of problem:
bash completion is broken

Version-Release number of selected component (if applicable):
fedpkg-0.5.1.4-1.fc12


How reproducible:
always

Steps to Reproduce:
1. fedpkg <tab>
  
Actual results:
 bash: _get_comp_words_by_ref: command not found

Comment 1 Jesse Keating 2010-09-10 19:05:38 UTC
I believe this is fixed upstream and will be in the next build.

Comment 2 Bug Zapper 2010-11-03 10:15:45 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Till Maas 2010-12-18 08:51:04 UTC
bash completion works with fedpkg-0.5.1.4-5.fc14

Comment 4 Jesse Keating 2010-12-20 18:13:33 UTC
Thanks for testing!

Comment 5 Fedora Update System 2011-01-06 18:50:17 UTC
fedora-packager-0.5.2.0-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.2.0-2.el5

Comment 6 Fedora Update System 2011-01-06 19:01:25 UTC
fedora-packager-0.5.2.0-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.2.0-2.fc13

Comment 7 Fedora Update System 2011-01-06 19:03:48 UTC
fedora-packager-0.5.2.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.2.0-2.fc14

Comment 8 Fedora Update System 2011-01-19 21:04:13 UTC
fedora-packager-0.5.2.0-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-01-31 15:52:21 UTC
fedora-packager-0.5.2.0-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-01-31 19:55:04 UTC
fedora-packager-0.5.2.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.